#
# pf.perl
#
# Version 0.03
# 2002-05-09
#
# Project:
#
#   pf2html
#   LaTeX2HTML + pf.sty (hypertext proofs)
#
# Project Homepage at:
#
#   http://www.dbai.tuwien.ac.at/proj/pf2html
#
############################################################################
#
# by:
#
#   Wolfgang Slany
#   Martina Osztovits
#   Martin Glowacki
#
#   Vienna University of Technology,
#   Computer Science Department,
#   Institute of Information Systems,
#   Database and Artificial Intelligence Group
#
#   http://www.dbai.tuwien.ac.at/
#
# If there are any problems or questions, please send them to:
#
#   Wolfgang SLANY
#   http://slany.org/wolfgang/
#
############################################################################
#
# This file is part of pf2html.
#
# pf2html is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# pf2html is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with pf2html; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#


package main;


BEGIN{
  # creating search path list for the pf2html modul file
  $module_path[0] = $main::texfilepath;              # starting path
  $module_path[1] = $home;                           # path to users home
  $module_path[2] = $main::LATEX2HTMLDIR."/styles";  # path to LaTeX2HTML styles
  $module_path[3] = $main::LATEX2HTMLDIR;            # path to LaTeX2HTML

  # load the pf2html module file

  $i=0;

  while ($i<=$#module_path)
  {
    my $module_file = $module_path[$i] . "/pf.pm";

    if ( -e  $module_file )
    {
      print "\nLoading $module_file ...";

      require $module_file;

      $i = $#module_path;
    }

    $i++;
  }
}


sub do_cmd_proofsection {
   &pf::do_cmd_proofsection(@_);
}

sub do_cmd_pfshortnumbers {
  &pf::do_cmd_pfshortnumbers(@_);
}

sub do_env_proof {
  &pf::do_env_proof(@_);
}

sub do_cmd_stepref {
  &pf::do_cmd_stepref(@_);
}

sub do_cmd_levelref {
  &pf::do_cmd_levelref(@_);
}

sub do_cmd_toplevel {
  &pf::do_cmd_toplevel(@_);
}

sub do_cmd_step {
  &pf::do_cmd_step(@_);
}

sub do_env_stepplus {
  &pf::do_env_stepplus( @_ );
}

sub do_cmd_pfstepnumber {
  &pf::do_cmd_pfstepnumber(@_);
}

sub do_cmd_pflevelnumber {
  &pf::do_cmd_pflevelnumber(@_);
}

sub do_cmd_pfsketch {
  &pf::do_cmd_pfsketch(@_);
}

sub do_cmd_pf {
  &pf::do_cmd_pf(@_);
}

sub do_cmd_qed {
  &pf::do_cmd_qed(@_);
}


sub do_cmd_assume {
  &pf::do_cmd_assume(@_);
}

sub do_cmd_prove {
  &pf::do_cmd_prove;
}

sub do_cmd_pflet {
  &pf::do_cmd_pflet;
}

sub do_cmd_case {
  &pf::do_cmd_case;
}

sub do_env_assumeplus {
  &pf::do_env_assumeplus(@_);
}

sub do_env_proveplus {
  &pf::do_env_proveplus(@_);
}

sub do_env_caseplus {
  &pf::do_env_caseplus(@_);
}


1;


# EOF pf.perl
